
-- 1. Creating a server role that is owned by a login
--The following example creates the server role buyers that is owned by login BenMiller.

USE master;
CREATE SERVER ROLE buyers AUTHORIZATION BenMiller;
GO
 
-- 2. Creating a server role that is owned by a fixed server role
--The following example creates the server role auditors that is owned the securityadmin fixed server role.

USE master;
CREATE SERVER ROLE auditors AUTHORIZATION securityadmin;
GO
 
DROP SERVER ROLE auditors